{% extends 'admin/base.html.twig' %}

{% block title %}Administration des annonces!{% endblock %}

{% block body %}
<div class="container-fluid">
    <h1 class="my-5">Gestion des annonces</h1>

    <table class="table table-hover">
        <thead>
            <tr class="alert alert-dark">
                <th>Id</th>
                <th>Titre</th>
                <th>Auteur</th>
                <th class="text-center">Réservations</th>
                <th class="text-center">Note</th>
                <th>Actions</th>
            </tr>
        </thead>

        <tbody>
            {% for ad in pagination.data %}
            <tr>
                <td>{{ad.id}}</td>
                <td>{{ad.title}}</td>
              <td style="vertical-align:middle">
                        <div class="wrapper-avatar" style="display:flex"><img src="{{ad.author.picture}}" alt="Avatar de {{ad.author.fullName}}" class="avatar avatar-micro mr-2">
                        {{ad.author.firstName}} <br>
                        {{ad.author.lastName}} </div>
                    </td>
                <td class="text-center">
                    <span class="badge badge-primary rounded">{{ad.bookings | length}}</span>
                </td>
                <td class="text-center">
                    <span class="badge badge-primary rounded">{{ad.avgRatings | number_format(1, ',', ' ')}}</span>
                </td>
                <td>
                    <a href="{{ path('admin_ads_edit', {'id': ad.id}) }}" class="btn btn-primary"><i class="fas fa-edit"></i></a>
                    <a href="{{ path('admin_ads_delete', {'id': ad.id}) }}" class="btn btn-danger"><i class="fas fa-trash"></i></a>
                </td>
            </tr>
            {% endfor %}
        </tbody>
    </table>

    {{ pagination.display() }}
</div>
{% endblock %}